#

Function COMPLEXP

Syntax:

complexp object => generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type complex; otherwise, returns false.

Examples:

     (complexp 1.2d2) =>  false
     (complexp #c(5/3 7.2)) =>  true

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also:

complex (function and type), typep

Notes:

     (complexp object) ==  (typep object 'complex)

Copyright 1996-2005, LispWorks Ltd. All rights reserved.